curl --request POST \
--url 'https://api.stateset.com/api/v1/negotiations/{id}/reject' \
--header "Authorization: Bearer $STATESET_API_KEY"
{
"buyer_agent_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"created_at": "2026-08-31T14:22:05Z",
"currency": "USD",
"current_offer": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"max_rounds": 1,
"offer_count": 1,
"rounds": 1,
"seller_agent_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"status": "pending"
}
Reject a negotiation
Reject a negotiation
POST
/
api
/
v1
/
negotiations
/
{id}
/
reject
curl --request POST \
--url 'https://api.stateset.com/api/v1/negotiations/{id}/reject' \
--header "Authorization: Bearer $STATESET_API_KEY"
{
"buyer_agent_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"created_at": "2026-08-31T14:22:05Z",
"currency": "USD",
"current_offer": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"max_rounds": 1,
"offer_count": 1,
"rounds": 1,
"seller_agent_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"status": "pending"
}
Path parameters
string
required
Negotiation ID (UUID)
Response
NegotiationResponse
string
required
string
required
string
required
string
required
string
required
integer (int32)
required
integer
required
integer (int32)
required
string
required
string
required
Status codes
| Code | Meaning |
|---|---|
200 | — |
400 | — |
404 | — |
curl --request POST \
--url 'https://api.stateset.com/api/v1/negotiations/{id}/reject' \
--header "Authorization: Bearer $STATESET_API_KEY"
{
"buyer_agent_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"created_at": "2026-08-31T14:22:05Z",
"currency": "USD",
"current_offer": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"max_rounds": 1,
"offer_count": 1,
"rounds": 1,
"seller_agent_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"status": "pending"
}
Last modified on August 31, 2026